package com.ruoyi.dashboard.constants;

import lombok.Data;

/**
 * 统计数据常量
 */
@Data
public class StatKeys {
    // 累计订单用户
    public static final String ORDER_USER_COUNT = "order_user_count";
    // 订单数量
    public static final String ORDER_COUNT = "order_count";
    // 订单支付金额
    public static final String ORDER_PAY_AMOUNT = "order_pay_amount";
    // 订单结算支付金额
    public static final Object ORDER_FINISHED_PAY_AMOUNT = "order_finished_pay_amount";
    // 订单退款金额
    public static final String ORDER_REFUND_AMOUNT = "order_refund_amount";
    // 待审核的订单
    public static final String ORDER_WAIT_VERIFY_COUNT = "order_wait_verify_count";
    // 订单状态数量
    public static final String ORDER_STATUS_COUNT = "order_status_count";
    // 订单完成状态数量
    public static final String ORDER_END_STATUS_COUNT = "order_end_status_count";
    // 订单总金额
    public static final String ORDER_ACTUAL_AMOUNT = "order_actual_amount";
    // 订单骑行费
    public static final String ORDER_RIDDING_FEE = "order_ridding_fee";
    // 订单车损费
    public static final String ORDER_DEDUCTION_FEE = "order_deduction_fee";
    // 订单调度费
    public static final String ORDER_DISPATCH_FEE = "order_dispatch_fee";
    // 订单管理费
    public static final String ORDER_MANAGE_FEE = "order_manage_fee";

    // 分成数量
    public static final String BONUS_COUNT = "bonus_count";
    // 分成总金额
    public static final String BONUS_AMOUNT = "bonus_amount";
    // 分成总退款
    public static final String BONUS_REFUND_AMOUNT = "bonus_refund_amount";
    // 分成未入账金额
    public static final String BONUS_WAIT_DIVIDE_AMOUNT = "bonus_wait_divide_amount";
    // 分成实收金额
    public static final String BONUS_ACTUAL_AMOUNT = "bonus_actual_amount";

    // 平台分成金额
    public static final String PLATFORM_BONUS_AMOUNT = "platform_bonus_amount";
    // 平台分成退款
    public static final String PLATFORM_BONUS_REFUND_AMOUNT = "platform_bonus_refund_amount";
    // 平台分成实收金额
    public static final String PLATFORM_BONUS_ACTUAL_AMOUNT = "platform_bonus_actual_amount";

    // 用户数量
    public static final String USER_COUNT = "user_count";
    // 今日新增用户数量
    public static final String USER_TODAY_COUNT = "user_today_count";
    // 用户余额
    public static final String USER_BALANCE = "user_balance";
    // 运营商数量
    public static final String USER_MCH_COUNT = "user_mch_count";
    // 代理商数量
    public static final String USER_AGENT_COUNT = "user_agent_count";

    // 设备数量
    public static final String DEVICE_COUNT = "device_count";
    // 设备状态数量
    public static final String DEVICE_STATUS_COUNT = "device_status_count";
    // 设备在线状态数量
    public static final String DEVICE_ONLINE_STATUS_COUNT = "device_online_status_count";

    // 运营区数量
    public static final String AREA_COUNT = "area_count";

    // 型号数量
    public static final String MODEL_COUNT = "model_count";

    // 加盟商数量
    public static final String AREA_JOIN_COUNT = "area_join_count";
    // 合伙人数量
    public static final String AREA_JOIN_PARTNER_COUNT = "area_join_partner_count";
    // 运维数量
    public static final String AREA_JOIN_OPERATION_COUNT = "area_join_operation_count";

    // 成功提现金额
    public static final String WITHDRAW_SUCCESS_AMOUNT = "withdraw_success_amount";
    // 待审核的提现数量
    public static final String WITHDRAW_WAIT_VERIFY_COUNT = "withdraw_wait_verify_count";
    // 提现手续费
    public static final String WITHDRAW_SERVICE_CHARGE = "withdraw_service_charge";

    // 待审核的加盟商申请数量
    public static final String MCH_APPLY_APPROVING_COUNT = "mch_apply_approving_count";

    // 待处理的故障数量
    public static final String FAULT_PENDING_COUNT = "fault_pending_count";
}
